Issues with JRE and Base

Discuss the database features

Issues with JRE and Base

Postby AlgonquinPeak » Tue May 21, 2019 1:54 pm

I want to learn how to use Base, but cannot get it to work on my Macintosh.

I have OO 4 installed on my old Mac.

When I tried to run the OO Base database wizard, it didn't work and complained about not having Java.

So I installed the latest (?) version of the Java JRE onto my Mac yesterday.

Now when I alunch OO Base and try to use the database wizard I get this error...

Code: Select all   Expand viewCollapse view
OpenOffice requires a Java runtime environment (JRE) to perform this task.  The selected JRE is defective.  Please another version or install a new JRE and select it under Tools - Options - OpenOffice - Java


What is going on?

And by the way, I see no such menu path as described in the error message above. There is no Tools > Options menu choice!!
OpenOffice 4.0.1 on Mac OS-X Mountain Lion
AlgonquinPeak
 
Posts: 57
Joined: Mon Dec 24, 2018 9:11 pm
Location: Upstate New York

Re: Issues with JRE and Base

Postby RoryOF » Tue May 21, 2019 2:47 pm

Options is under Preferences on a Mac.

Some versions of OSX need Java 6 to be or have been installed - I'm not a Mac user so cannot be more precise than that.
Apache OpenOffice 4.1.6 on Xubuntu 18.04.2 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 28922
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Issues with JRE and Base

Postby AlgonquinPeak » Tue May 21, 2019 3:29 pm

RoryOF wrote:Options is under Preferences on a Mac.

Some versions of OSX need Java 6 to be or have been installed - I'm not a Mac user so cannot be more precise than that.


I went to OpenOffice > Preferences > OpenOffice > Java and I see...

*********************************************************************
_X_ Use a Java runtime environment


Oracle Corporation 1.7.0_25
Oracle Corporation 1.8.0_211

*********************************************************************


What do I need to do to make sure that my Mac is pointing to the correct Java JRE??
OpenOffice 4.0.1 on Mac OS-X Mountain Lion
AlgonquinPeak
 
Posts: 57
Joined: Mon Dec 24, 2018 9:11 pm
Location: Upstate New York

Re: Issues with JRE and Base

Postby charlie.it » Tue May 21, 2019 3:38 pm

Ciao, download the right version for macOS here: https://www.oracle.com/technetwork/java ... 77648.html
Attachments
Schermata 2019-05-21 alle 15.37.37.png
charlie
macOS 10.12 Sierra: Open Office 4.1.5 - LibreOffice 5.4.3.2
Windows 7 pro (VirtualBox): Open Office 4.1.5 - LibreOffice 5.4.4.2
Ubuntu 17.04 LTE (VirtualBox): LibreOffice 5.1.6.2
http://www.charlieopenoffice.altervista.org
User avatar
charlie.it
Volunteer
 
Posts: 311
Joined: Wed Aug 21, 2013 2:12 pm
Location: Italy

Re: Issues with JRE and Base

Postby charlie.it » Tue May 21, 2019 3:41 pm

See here:
Attachments
Schermata 2019-05-21 alle 15.39.07.png
charlie
macOS 10.12 Sierra: Open Office 4.1.5 - LibreOffice 5.4.3.2
Windows 7 pro (VirtualBox): Open Office 4.1.5 - LibreOffice 5.4.4.2
Ubuntu 17.04 LTE (VirtualBox): LibreOffice 5.1.6.2
http://www.charlieopenoffice.altervista.org
User avatar
charlie.it
Volunteer
 
Posts: 311
Joined: Wed Aug 21, 2013 2:12 pm
Location: Italy

Re: Issues with JRE and Base

Postby AlgonquinPeak » Tue May 21, 2019 5:35 pm

charlie.it wrote:See here:


Are you telling me that my JRE is too new?? :?:


Yesterday I downloaded: jre-8u211-macosx-x64.dmg

And in OO Base, I see: Oracle Corporation 1.8.0_211 (as mentioned above)
OpenOffice 4.0.1 on Mac OS-X Mountain Lion
AlgonquinPeak
 
Posts: 57
Joined: Mon Dec 24, 2018 9:11 pm
Location: Upstate New York

Re: Issues with JRE and Base

Postby AlgonquinPeak » Tue May 21, 2019 5:40 pm

charlie.it wrote:Ciao, download the right version for macOS here: https://www.oracle.com/technetwork/java ... 77648.html


When I go to that link and select the version you suggested, I get a page asking me to log in.

Um, I'm not creating an Oracle account.

When did Java stop becoming free?
OpenOffice 4.0.1 on Mac OS-X Mountain Lion
AlgonquinPeak
 
Posts: 57
Joined: Mon Dec 24, 2018 9:11 pm
Location: Upstate New York

Re: Issues with JRE and Base

Postby MrProgrammer » Tue May 21, 2019 6:18 pm

charlie.it wrote:Ciao, download the right version for macOS here: https://www.oracle.com/technetwork/java ... 77648.html
AlgonquinPeak wrote:When I go to that link and select the version you suggested, I get a page asking me to log in.
I don't think that download is what you want. Read the text on the page: WARNING: These older versions of the JRE and JDK are provided to help developers debug issues in older systems. They are not updated with the latest security patches and are not recommended for use in production. That's why you need an account.

AlgonquinPeak wrote:What do I need to do to make sure that my Mac is pointing to the correct Java JRE??
[Tutorial] Mac FAQ Q06/A06
You'll find a link to Java there, but it's also found at the very bottom of the oracle·com page as Download Java for Consumers.

If this solved your problem please go to your first post use the Edit button and add [Solved] to the start of the title. You can select the green checkmark icon at the same time.
Mr. Programmer
AOO 4.1.5 Build 9789 on MacOS 10.11.6.   The locale for any menus or Calc formulas in my posts is English (USA).
User avatar
MrProgrammer
Moderator
 
Posts: 3707
Joined: Fri Jun 04, 2010 7:57 pm
Location: Wisconsin, USA

Re: Issues with JRE and Base

Postby AlgonquinPeak » Tue May 21, 2019 6:44 pm

MrProgrammer wrote:
charlie.it wrote:Ciao, download the right version for macOS here: https://www.oracle.com/technetwork/java ... 77648.html
AlgonquinPeak wrote:When I go to that link and select the version you suggested, I get a page asking me to log in.
I don't think that download is what you want. Read the text on the page: WARNING: These older versions of the JRE and JDK are provided to help developers debug issues in older systems. They are not updated with the latest security patches and are not recommended for use in production. That's why you need an account.

AlgonquinPeak wrote:What do I need to do to make sure that my Mac is pointing to the correct Java JRE??
[Tutorial] Mac FAQ Q06/A06
You'll find a link to Java there, but it's also found at the very bottom of the oracle·com page as Download Java for Consumers.

If this solved your problem please go to your first post use the Edit button and add [Solved] to the start of the title. You can select the green checkmark icon at the same time.


Can you please go back to the top of this thread and read hat I have said?

I did install a newer JRE yesterday but am getting the error mentioned above.

The Help link you posted implies that a newer JRE will not hurt.

It is unclear to me *which* version of the JRE I need?

It is also unclear to me what the problem is - it sounds like it is saying something is corrupt?!

Thanks.
OpenOffice 4.0.1 on Mac OS-X Mountain Lion
AlgonquinPeak
 
Posts: 57
Joined: Mon Dec 24, 2018 9:11 pm
Location: Upstate New York


Return to Base

Who is online

Users browsing this forum: AlgonquinPeak and 3 guests